#!/bin/sh
# Copyright (C) 2018 Greenbone Networks GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

ALERT_CONFIG="$1"
CONNECTOR=`which greenbone_vfire_connector`

if [ -z "$ALERT_CONFIG" ]
then
  echo "No alert config given." >&2
  exit 1
fi

if [ ! -f "$ALERT_CONFIG" ]
then
  echo "Alert config file not found." >&2
  exit 1
fi

if [ -z "$CONNECTOR" ]
then
  echo "Connector script 'greenbone_vfire_connector' not found." >&2
  exit 1
fi

"$CONNECTOR" "$ALERT_CONFIG"
EXIT_CODE=$?
exit $EXIT_CODE
